<?php

namespace App\Http\Requests\Administrator;

use App\Http\Requests\ApiFormRequest;

class SaveAdminNotificationSubjectsRequest extends ApiFormRequest
{
    public function authorize(): bool
    {
        return auth()->check();
    }

    public function rules(): array
    {
        return [
            'subjects' => ['required', 'array'],
        ];
    }

    public function messages(): array
    {
        return [
            'subjects.required' => 'Subjects payload is required.',
            'subjects.array' => 'Subjects payload must be an array.',
        ];
    }
}
